<?php
namespace SabaiApps\Directories\Component\FrontendSubmit\Restrictor;

class DefaultRestrictor extends AbstractRestrictor {

	protected $_assignEntityLevel = false;

	protected function _frontendsubmitRestrictorInfo() {
		return array(
			'label' => __( 'Default', 'directories-pro' ),
		);
	}

	protected function _getRestrictionGroups() {
		return array( 'default' => '' );
	}

	protected function _getRestrictionGroupsByUser( $userId, $settings ) {
		return array( 'default' );
	}

	protected function _maybeFixRestrictorSettings( array $settings ) {
		if ( ! isset( $settings['default']['limit'] ) ) {
			$settings['default']['limit'] = $settings;
		}
		return $settings;
	}
}
